## ros-iron-ament-cmake-python 2.0.3

=== debian/changelog ===
ros-iron-ament-cmake-python (2.0.3-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 22 Jun 2023 07:00:00 -0000

ros-iron-ament-cmake-python (2.0.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 12 Apr 2023 07:00:00 -0000

ros-iron-ament-cmake-python (2.0.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 07:00:00 -0000

ros-iron-ament-cmake-python (2.0.0-1jammy) jammy; urgency=high

  * Support Debian-specific install dir for ament_cmake_python (#431 <https://github.com/ament/ament_cmake/issues/431>)
  * Contributors: Timo Röhling

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 07:00:00 -0000

ros-iron-ament-cmake-python (1.5.3-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 13 Feb 2023 08:00:00 -0000

ros-iron-ament-cmake-python (1.5.2-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 02 Nov 2022 07:00:00 -0000

ros-iron-ament-cmake-python (1.5.1-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 07:00:00 -0000

ros-iron-ament-cmake-python (1.5.0-1jammy) jammy; urgency=high

  * Document ament_cmake_python (#387 <https://github.com/ament/ament_cmake/issues/387>)
  * Contributors: Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 11 Jul 2022 07:00:00 -0000

ros-iron-ament-cmake-python (1.4.0-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 07:00:00 -0000

ros-iron-ament-cmake-python (1.3.1-1jammy) jammy; urgency=high

  * Use sysconfig directly to determine python lib dir (#378 <https://github.com/ament/ament_cmake/issues/378>)
  * Contributors: Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 07:00:00 -0000

ros-iron-ament-cmake-python (1.3.0-1jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 17 Feb 2022 08:00:00 -0000

ros-iron-ament-cmake-python (1.2.1-1jammy) jammy; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.
  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#362 <https://github.com/ament/ament_cmake/issues/362>)
  * Contributors: Audrow Nash, Scott K Logan

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-iron-ament-cmake-python (1.2.0-1jammy) jammy; urgency=high

  * Make ament_cmake_python symlink for symlink installs only (#357 <https://github.com/ament/ament_cmake/issues/357>)
  * Use FindPython3 instead of FindPythonInterp (#355 <https://github.com/ament/ament_cmake/issues/355>)
  * Make ament_python_install_package() match setuptools' egg names. (#338 <https://github.com/ament/ament_cmake/issues/338>)
  * Drop ament_cmake_python outdated tests. (#340 <https://github.com/ament/ament_cmake/issues/340>)
  * Update maintainers (#336 <https://github.com/ament/ament_cmake/issues/336>)
  * Make ament_python_install_package() install console_scripts (#328 <https://github.com/ament/ament_cmake/issues/328>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Shane Loretz

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Oct 2021 07:00:00 -0000

ros-iron-ament-cmake-python (1.1.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 07:00:00 -0000

ros-iron-ament-cmake-python (1.1.3-1jammy) jammy; urgency=high

  * Symlink setup.cfg and sources before building Python egg-info (#327 <https://github.com/ament/ament_cmake/issues/327>)
  * Simplify ament_python_install_package() macro. (#326 <https://github.com/ament/ament_cmake/issues/326>)
    Do not delegate to setuptools, install egg-info manually.
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-iron-ament-cmake-python (1.1.2-1jammy) jammy; urgency=high

  * Escape $ENV{DESTDIR} everywhere in ament_python_install_package() (#324 <https://github.com/ament/ament_cmake/issues/324>)
    Follow up after f80071e2216e766f7bf1b0792493a5f6523e9226
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 06:59:00 -0000

ros-iron-ament-cmake-python (1.1.1-1jammy) jammy; urgency=high

  * Use DESTDIR on ament_python_install_package() (#323 <https://github.com/ament/ament_cmake/issues/323>)
    * Use DESTDIR on ament_python_install_package()
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Sat, 27 Feb 2021 03:12:00 -0000

ros-iron-ament-cmake-python (1.1.0-1jammy) jammy; urgency=high

  * Make ament_python_install_package() install a flat Python egg (#316 <https://github.com/ament/ament_cmake/issues/316>)
  * Contributors: Michel Hidalgo

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 24 Feb 2021 08:00:00 -0000

ros-iron-ament-cmake-python (1.0.4-1jammy) jammy; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-iron-ament-cmake-python (1.0.3-1jammy) jammy; urgency=high

  * [ament_cmake_python] ament_cmake_python_get_python_install_dir public (#300 <https://github.com/ament/ament_cmake/issues/300>)

